com.ihr.xbrl.transform

## Class TransformProcessor

- java.lang.Object
- - javax.xml.transform.Transformer
  - - com.ihr.xbrl.transform.TransformProcessor

-     public class TransformProcessor
      extends javax.xml.transform.Transformer

  The Class TransformProcessor.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformProcessor(java.net.URI confFile)` Creates an XBRL transformation processor using the configuration file provided as a parameter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearParameters()`
    `javax.xml.transform.ErrorListener` | `getErrorListener()`
    `java.util.Vector<XBRLFactHandlerInterface>` | `getFactHandlers(DTSContainer dts)` Gets the fact handlers.
    `java.util.Properties` | `getOutputProperties()`
    `java.lang.String` | `getOutputProperty(java.lang.String name)`
    `java.lang.Object` | `getParameter(java.lang.String name)`
    `javax.xml.transform.URIResolver` | `getURIResolver()`
    `XDTInfosetConsumer` | `getXDTInfosetConsumer(DTSContainer dts)` Access to the XDTInfosetConsumer for this DTS.
    `boolean` | `isTransformable(javax.xml.transform.Source xmlSource, int mode)` This method returns true when the document represented by the content of the xmlSource parameter can be transformed by one of the DTSs loaded by this transformer object.
    `void` | `setErrorListener(javax.xml.transform.ErrorListener listener)`
    `void` | `setOutputProperties(java.util.Properties oformat)`
    `void` | `setOutputProperty(java.lang.String name, java.lang.String value)`
    `void` | `setParameter(java.lang.String name, java.lang.Object value)`
    `void` | `setURI(java.net.URI newURI)` Changes or sets this URI new config file.
    `void` | `setURIResolver(javax.xml.transform.URIResolver resolver)`
    `void` | `transform(javax.xml.transform.Source xmlSource, javax.xml.transform.Result outputTarget)`

    - ### Methods inherited from class javax.xml.transform.Transformer

      `reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformProcessor

          public TransformProcessor(java.net.URI confFile)
                             throws TransformConfigurationFileException

      Creates an XBRL transformation processor using the configuration file provided as a parameter.
      Parameters:
        `confFile` - URI of the configuration file
      Throws:
        `TransformConfigurationFileException` - the transform configuration file exception

  - ### Method Detail

    - #### getXDTInfosetConsumer

          public XDTInfosetConsumer getXDTInfosetConsumer(DTSContainer dts)

      Access to the XDTInfosetConsumer for this DTS.
      Parameters:
        `dts` - the DTSContainer
      Returns:
        a XDTInfosetConsumer or null

    - #### setURI

          public void setURI(java.net.URI newURI)

      Changes or sets this URI new config file.
      Parameters:
        `newURI` - URI

    - #### clearParameters

          public void clearParameters()

      Specified by:
        `clearParameters` in class `javax.xml.transform.Transformer`

    - #### getErrorListener

          public javax.xml.transform.ErrorListener getErrorListener()

      Specified by:
        `getErrorListener` in class `javax.xml.transform.Transformer`

    - #### getOutputProperties

          public java.util.Properties getOutputProperties()

      Specified by:
        `getOutputProperties` in class `javax.xml.transform.Transformer`

    - #### getOutputProperty

          public java.lang.String getOutputProperty(java.lang.String name)
                                             throws java.lang.IllegalArgumentException

      Specified by:
        `getOutputProperty` in class `javax.xml.transform.Transformer`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### getParameter

          public java.lang.Object getParameter(java.lang.String name)

      Specified by:
        `getParameter` in class `javax.xml.transform.Transformer`

    - #### getURIResolver

          public javax.xml.transform.URIResolver getURIResolver()

      Specified by:
        `getURIResolver` in class `javax.xml.transform.Transformer`

    - #### setErrorListener

          public void setErrorListener(javax.xml.transform.ErrorListener listener)
                                throws java.lang.IllegalArgumentException

      Specified by:
        `setErrorListener` in class `javax.xml.transform.Transformer`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setOutputProperties

          public void setOutputProperties(java.util.Properties oformat)

      Specified by:
        `setOutputProperties` in class `javax.xml.transform.Transformer`

    - #### setOutputProperty

          public void setOutputProperty(java.lang.String name,
                               java.lang.String value)
                                 throws java.lang.IllegalArgumentException

      Specified by:
        `setOutputProperty` in class `javax.xml.transform.Transformer`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setParameter

          public void setParameter(java.lang.String name,
                          java.lang.Object value)

      Specified by:
        `setParameter` in class `javax.xml.transform.Transformer`

    - #### setURIResolver

          public void setURIResolver(javax.xml.transform.URIResolver resolver)

      Specified by:
        `setURIResolver` in class `javax.xml.transform.Transformer`

    - #### isTransformable

          public boolean isTransformable(javax.xml.transform.Source xmlSource,
                                int mode)

      This method returns true when the document represented by the content of the xmlSource parameter can be transformed by one of the DTSs loaded by this transformer object.

      Only Sources that are rewindable can be used in this method. This means. Source must be an instance of SAXSource or StreamSource and the InputStream must be an instance of a ByteArrayInputStream. Other possibilities may work for one DTS but not for more than one DTS in the configuration file.

      Parameters:
        `xmlSource` - Source
        `mode` - DTSContainer.FAST or DTSContainer.FULL
      Returns:
        boolean

    - #### transform

          public void transform(javax.xml.transform.Source xmlSource,
                       javax.xml.transform.Result outputTarget)
                         throws javax.xml.transform.TransformerException

      Specified by:
        `transform` in class `javax.xml.transform.Transformer`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### getFactHandlers

          public java.util.Vector<XBRLFactHandlerInterface> getFactHandlers(DTSContainer dts)

      Gets the fact handlers.
      Parameters:
        `dts` - the dts
      Returns:
        the fact handlers